-- Table: public.t_eb_userremember

-- DROP TABLE public.t_eb_userremember;

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_USERREMEMBER') 
CREATE TABLE T_EB_USERREMEMBER(
    FID BIGINT DEFAULT 0 NOT NULL,
    FKEY  VARCHAR(50)  NOT NULL DEFAULT ' ',
    FVALUE NCLOB,
    FCREATEDATE DATETIME,
    FUPDATEDATE DATETIME,
    FCREATEUSER BIGINT  DEFAULT 0 NOT NULL,
    FUPDATEUSER BIGINT  DEFAULT 0 NOT NULL,
    FKEYGROUP  VARCHAR(50) NOT NULL DEFAULT ' '
);

EXEC P_ALTERPK 'PK_EB_USERREMEMBER', 'T_EB_USERREMEMBER', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_USERREMEMBER_FKEY') CREATE INDEX IDX_EB_USERREMEMBER_FKEY ON T_EB_USERREMEMBER ( FKEY );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_USERREMEMBER_FKEYGROUP') CREATE INDEX IDX_EB_USERREMEMBER_FKEYGROUP ON T_EB_USERREMEMBER ( FKEYGROUP );


